<?php
class ModelPaymentScalapay extends Model {

    public function install() {

        $logger = new Log('scalapay_admin_logs.log'); //just passed the file name as file_name.log
        $logger->write("Admin scalapay install call:"); // again $data contains the data the need to be log

        $result = $this->db->query("SHOW TABLES LIKE '" . DB_PREFIX . "scalapay_refund_orders'");
        $logger->write("Total Rows :" . $result->num_rows); // again $data contains the data the need to be log

        if($result->num_rows == 0) {
            // Create table if not exists
            $sql = "CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "scalapay_refund_orders` (
                              `id` int(11) NOT NULL AUTO_INCREMENT,
                              `order_id` int(11) NOT NULL,
                              `order_total` float(15,2) NOT NULL,
                              `refunded_amount` float(15,2) NOT NULL,
                              PRIMARY KEY  (`id`)
                            ) ENGINE=MyISAM DEFAULT CHARSET=utf8";

            $response = $this->db->query($sql);
            $logger->write("Table Create Response:" . $response); // again $data contains the data the need to be log


        }
    }

    public function uninstall() {
        $logger = new Log('scalapay_admin_logs.log'); //just passed the file name as file_name.log
        $result = $this->db->query("SHOW TABLES LIKE '" . DB_PREFIX . "scalapay_refund_orders'");
        if($result->num_rows > 0) {
            $logger->write("Scalapay refund table exist:"); // again $data contains the data the need to be log
            $refund_records = $this->getTotalRefundRecords();
            $logger->write("Scalapay refund total records:" . $refund_records); // again $data contains the data the need to be log
            if (!$refund_records) {
                $this->db->query("DROP TABLE IF EXISTS `" . DB_PREFIX . "scalapay_refund_orders`");
                $logger->write("Admin scalapay unstall call:"); // again $data contains the data the need to be log
            }
        }
    }

    public function getTotalRefundRecords () {
        $result = $this->db->query("Select * FROM `" . DB_PREFIX . "scalapay_refund_orders` LIMIT 0, 10");
        if ($result->num_rows) {
            return $result->rows;
        } else {
            return false;
        }

    }
}