<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-scalapay" data-toggle="tooltip" title="Save" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="Cancel" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1>Scalapay Payment Method</h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-scalapay" class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status">Enable/Disable Scalapay</label>
            <div class="col-sm-10">
              <select name="scalapay_status" id="input-status" class="form-control">
                <?php if ($scalapay_status): ?>
                  <option value="1" selected="selected">Enabled</option>
                  <option value="0">Disabled</option>
                <?php else: ?>
                  <option value="1">Enabled</option>
                  <option value="0" selected="selected">Disabled</option>
                <?php endif; ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status">Scalapay Test/Live mode</label>
            <div class="col-sm-10">
              <select name="scalapay_mode" id="scalapay_mode" class="form-control">
                <?php if ($scalapay_mode): ?>
                  <option value="1" selected="selected">Live</option>
                  <option value="0">Test</option>
                <?php else: ?>
                  <option value="1">Live</option>
                  <option value="0" selected="selected">Test</option>
                <?php endif; ?>
              </select>
            </div>
          </div>
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-key"><span data-toggle="tooltip">Staging/Test API Key</span></label>
            <div class="col-sm-10">
              <input type="text" name="scalapay_encyptionkey" value="<?php echo $scalapay_encyptionkey  ?>" placeholder="Test API Key" id="input-key" class="form-control" />
              <?php if ($error_encyptionkey): ?>
                <div class="text-danger"><?php echo $error_encyptionkey  ?></div>
              <?php endif; ?>
            </div>
          </div>
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-key"><span data-toggle="tooltip">Live API Key</span></label>
            <div class="col-sm-10">
              <input type="text" name="scalapay_live_encyptionkey" id="scalapay_live_encyptionkey" value="<?php echo $scalapay_live_encyptionkey  ?>" placeholder="Live API Key" class="form-control" />
              <div id="live_key_error_message"></div>
            </div>
          </div>

          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-key"><span data-toggle="tooltip" title="">Staging/Test URL</span></label>
            <div class="col-sm-10">
              <input type="text" name="scalapay_test_url" value="<?php echo $scalapay_test_url  ?>" placeholder="Test Url" id="input-key" class="form-control" />
              <?php if ($error_test_url): ?>
                <div class="text-danger"><?php echo $error_test_url  ?></div>
              <?php endif; ?>
            </div>
          </div>
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-key"><span data-toggle="tooltip" title="">Production/Live URL</span></label>
            <div class="col-sm-10">
              <input type="text" name="scalapay_production_url" value="<?php echo $scalapay_production_url  ?>" placeholder="Production Url" id="input-key" class="form-control" />
              <?php if ($error_production_url): ?>
                <div class="text-danger"><?php echo $error_production_url  ?></div>
              <?php endif ?>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-order-status">Order status (payment confirmed)</label>
            <div class="col-sm-10">
              <select name="scalapay_completed_status_id" id="input-order-status" class="form-control">
                <?php foreach($order_statuses as $order_status): ?>
                  <?php if ($order_status['order_status_id'] == $scalapay_completed_status_id): ?>
                    <option value="<?php echo $order_status['order_status_id']  ?>" selected="selected"><?php echo $order_status['name']  ?></option>
                  <?php else: ?>
                    <option value="<?php echo $order_status['order_status_id']  ?>"><?php echo $order_status['name']  ?></option>
                  <?php endif; ?>
                <?php endforeach; ?>
              </select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Geo Zone:</label>
            <div class="col-sm-10">
              <select  name="scalapay_geo_zone_id" id="scalapay_geo_zone_id" class="form-control">
                <option value="0">All</option>
                <?php foreach($geo_zones as $geo_zone): ?>
                <?php if ($geo_zone['geo_zone_id'] == $scalapay_geo_zone_id): ?>
                <option value="<?php echo $geo_zone['geo_zone_id']  ?>" selected="selected"><?php echo $geo_zone['name']  ?></option>
                <?php else: ?>
                <option value="<?php echo $geo_zone['geo_zone_id']  ?>"><?php echo $geo_zone['name']  ?></option>
                <?php endif; ?>
                <?php endforeach; ?>
              </select>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-sort-order">Sort Order</label>
            <div class="col-sm-10">
              <input type="text" name="scalapay_sort_order" value="<?php echo $scalapay_sort_order  ?>" placeholder="" id="input-sort-order" class="form-control" />
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-status">Enable/Disable Refund Scalapay</label>
            <div class="col-sm-10">
              <select name="scalapay_refund_status" id="input-status" class="form-control">
                <?php if ($scalapay_refund_status): ?>
                <option value="1" selected="selected">Enabled</option>
                <option value="0">Disabled</option>
                <?php else: ?>
                <option value="1">Enabled</option>
                <option value="0" selected="selected">Disabled</option>
                <?php endif; ?>
              </select>
            </div>
          </div>


          <h3>SCALAPAY - CHECKOUT PAGE SETTINGS</h3>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-sort-order">Custom CSS</label>
            <div class="col-sm-10">
              <textarea name="scalapay_logo_css" id="input-key" class="form-control"><?php echo $scalapay_logo_css  ?></textarea>
            </div>
          </div>

            <h3>Language and Currency settings</h3>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Country settings: enable for following countries</label>
            <div class="col-sm-10">
              <select multiple name="scalapay_countries[]" id="input-scalapay-country" class="form-control">
                <?php if( in_array(0, $scalapay_countries)): ?>
                  <option value="0" selected="selected">All</option>
                <?php else: ?>
                  <option value="0">All</option>
                <?php endif; ?>
                <?php foreach($all_countries as $scalapay_country): ?>
                  <?php if (in_array($scalapay_country['country_id'], $scalapay_countries)): ?>
                    <option value="<?php echo $scalapay_country['country_id']  ?>" selected="selected"><?php echo $scalapay_country['name']  ?></option>
                  <?php else: ?>
                    <option value="<?php echo $scalapay_country['country_id']  ?>"><?php echo $scalapay_country['name']  ?></option>
                  <?php endif; ?>
                <?php endforeach; ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Language settings: enable for following languages</label>
            <div class="col-sm-10">
              <select  multiple name="scalapay_languages[]" id="scalapay_languages" class="form-control">
                <?php if( in_array(0, $scalapay_languages)): ?>
                  <option value="0" selected="selected">All</option>
                <?php else: ?>
                  <option value="0">All</option>
                <?php endif; ?>
                <?php foreach($all_language as $scalapay_language):  ?>
                  <?php if (in_array($scalapay_language['language_id'], $scalapay_languages)): ?>
                    <option value="<?php echo $scalapay_language['language_id']  ?>" selected="selected"><?php echo $scalapay_language['name']  ?></option>
                  <?php else: ?>
                    <option value="<?php echo $scalapay_language['language_id']  ?>"><?php echo $scalapay_language['name']  ?></option>
                  <?php endif; ?>
                <?php endforeach; ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Currency settings: enable for following currency</label>
            <div class="col-sm-10">
              <select  multiple name="scalapay_currencies[]" id="scalapay_currencies" class="form-control">
                <?php if( in_array(0, $scalapay_currencies)): ?>
                  <option value="0" selected="selected">All</option>
                <?php else: ?>
                  <option value="0">All</option>
                <?php endif; ?>
                <?php foreach($all_currency as $scalapay_currency): ?>
                  <?php if( in_array($scalapay_currency['currency_id'], $scalapay_currencies)): ?>  
                    <option value="<?php echo $scalapay_currency['currency_id']  ?>" selected="selected"><?php echo $scalapay_currency['title']  ?></option>
                  <?php else: ?>
                    <option value="<?php echo $scalapay_currency['currency_id']  ?>"><?php echo $scalapay_currency['title']  ?></option>
                  <?php endif; ?>
                <?php endforeach; ?>
              </select>
            </div>
          </div>

                    <h3>SCALAPAY - PRODUCT PAGE SETTINGS</h3>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Logo Size</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_product_logo_size" value="<?php echo $scalapay_product_logo_size; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Logo Color</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_product_logo_color" value="<?php echo $scalapay_product_logo_color; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Logo Alignment</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_product_logo_alignment" value="<?php echo $scalapay_product_logo_alignment; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Price Color</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_product_logo_price_color" value="<?php echo $scalapay_product_logo_price_color; ?>" /></div>
          </div>
          
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Show Scalapay Logo vs Scalapay text</label>
            <div class="col-sm-10">
              <input type="radio" name="scalapay_product_showhide_logo" value="true" <?php echo ( $scalapay_product_showhide_logo == 'true'?'checked="checked"':'' ) ?>>Hide
              <br />
              <input type="radio" name="scalapay_product_showhide_logo" value="false" <?php echo ( $scalapay_product_showhide_logo == 'false'?'checked="checked"':'' ) ?>>Show
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-product-price-hide">Hide installment amount</label>
            <div class="col-sm-10">
              <input type="radio" name="scalapay_product_page_hide_price" value="true" <?php echo ( $scalapay_product_page_hide_price == 'true' ? 'checked = "checked"' : '' ) ?>>Yes
              <br />
              <input type="radio" name="scalapay_product_page_hide_price" value="false" <?php echo ( $scalapay_product_page_hide_price == 'false' ? 'checked = "checked"' : '' ) ?>>No
            </div>
          </div>

           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Text Size</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_product_size" value="<?php echo $scalapay_product_size; ?>" /></div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Product Page -Price selectors</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_product_price_selector" value="<?php echo $scalapay_product_price_selector; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Product Page - Price box selectors</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_product_pricebox_selector" value="<?php echo $scalapay_product_pricebox_selector; ?>" /></div>
          </div>
		  
		  <div class="form-group">
            <label class="col-sm-2 control-label" >Hide if price is below min order value</label>
            <div class="col-sm-10">
              <input type="radio" name="scalapay_product_page_apply_min_order_value" value="true" <?php echo ( $scalapay_product_page_apply_min_order_value == 'true' ? 'checked = "checked"' : '' ) ?>>Yes
              <br />
              <input type="radio" name="scalapay_product_page_apply_min_order_value" value="false" <?php echo ( $scalapay_product_page_apply_min_order_value == 'false'? 'checked = "checked"' : '' ) ?>>No
            </div>
          </div>
		  
          <h3>SCALAPAY - CART PAGE SETTINGS</h3>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Logo Size</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_cart_logo_size" value="<?php echo $scalapay_cart_logo_size; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Logo Color</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_cart_logo_color" value="<?php echo $scalapay_cart_logo_color; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Logo Alignment</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_cart_logo_alignment" value="<?php echo $scalapay_cart_logo_alignment; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Price Color</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_cart_logo_price_color" value="<?php echo $scalapay_cart_logo_price_color; ?>" /></div>
          </div>
		  
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Show Scalapay Logo vs Scalapay text</label>
            <div class="col-sm-10">
              <input type="radio" name="scalapay_cart_showhide_logo" value="true" <?php echo ( $scalapay_cart_showhide_logo == 'true'?'checked="checked"':'' ) ?>>Hide
              <br />
              <input type="radio" name="scalapay_cart_showhide_logo" value="false" <?php echo ( $scalapay_cart_showhide_logo == 'false'?'checked="checked"':'' ) ?>>Show
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-cart-price-hide">Hide installment amount</label>
            <div class="col-sm-10">
              <input type="radio" name="scalapay_cart_page_hide_price" value="true" <?php echo ( $scalapay_cart_page_hide_price == 'true' ? 'checked = "checked"' : '' ) ?>>Yes
              <br />
              <input type="radio" name="scalapay_cart_page_hide_price" value="false" <?php echo ( $scalapay_cart_page_hide_price == 'false' ? 'checked = "checked"' : '' ) ?>>No
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Text Size</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_cart_size" value="<?php echo $scalapay_cart_size; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Cart Page - Price selectors</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_cart_price_selector" value="<?php echo $scalapay_cart_price_selector; ?>" /></div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Cart Page - Price box selectors</label>
            <div class="col-sm-10"><input type="text" class="form-control" name="scalapay_cart_pricebox_selector" value="<?php echo $scalapay_cart_pricebox_selector; ?>" /></div>
          </div>
		  <div class="form-group">
            <label class="col-sm-2 control-label" >Hide if price is below min order value</label>
            <div class="col-sm-10">
              <input type="radio" name="scalapay_cart_page_apply_min_order_value" value="true" <?php echo ( $scalapay_cart_page_apply_min_order_value == 'true' ? 'checked = "checked"' : '' ) ?>>Yes
              <br />
              <input type="radio" name="scalapay_cart_page_apply_min_order_value" value="false" <?php echo ( $scalapay_cart_page_apply_min_order_value == 'false' ? 'checked = "checked"' : '' ) ?>>No
            </div>
          </div>
          <h3>API and category restrictions</h3>
           <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Scalapay minimum order amount</label>
            <div class="col-sm-10"><input required type="text" class="form-control" name="scalapay_min_amount" value="<?php echo $scalapay_min_amount; ?>" style="cursor: no-drop;" readonly /></label>
            </div>  
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Scalapay maximum order amount</label>
            <div class="col-sm-10"><input required type="text" class="form-control" name="scalapay_max_amount" value="<?php echo $scalapay_max_amount; ?>" /></label>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Number of installments</label>
            <div class="col-sm-10">
              <select name="scalapay_number_of_payments" id="scalapay_number_of_payments" class="form-control">
                <option <?php if ($scalapay_number_of_payments == 3) { echo 'selected="selected"' ; } ?> value="3">3</option>
                <option <?php if ($scalapay_number_of_payments == 4) { echo 'selected="selected"' ; } ?> value="4">4</option>
              </select>
            </div>  
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-scalapay-country">Restrict Scalapay Text For Specific Categories</label>
            <div class="col-sm-10">
              <select multiple name="scalapay_notallowed_categories[]" style="height:200px;" class="form-control">
                <option value="" selected="selected">Select Category</option>
                <?php foreach ($categories as $category) { ?>
                  <?php if (in_array($category['category_id'], $scalapay_notallowed_categories)) { ?>
                  <option value="<?php echo $category['category_id']; ?>" selected="selected"><?php echo $category['name']; ?></option>
                  <?php }else{ ?>
                  <option value="<?php echo $category['category_id']; ?>"><?php echo $category['name']; ?></option>
                  <?php } ?>
                <?php } ?>
              </select>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>
<script>
  $( document ).ready(function() {
    $(document).on('change', '#scalapay_mode', function() {
      if($(this).val() == 1) {
        if ($("#scalapay_live_encyptionkey").val() == "") {
          $(this).val(0);
          $("#scalapay_live_encyptionkey").delay(300).css("border","2px solid pink");
          $("#live_key_error_message").html('<span style="text-align: center; float: left; color: red">Please enter Live API Key</span>');
        }
        else {
          $("#live_key_error_message").html("");
          $("#scalapay_live_encyptionkey").delay(300).css("border","1px solid #b9b9b9");
        }

      }
      else {
        $("#live_key_error_message").html("");
        $("#scalapay_live_encyptionkey").delay(300).css("border","1px solid #b9b9b9");
      }

    });
    $(document).on('blur', '#scalapay_live_encyptionkey', function() {

      if($(this).val() != "") {
        $("#live_key_error_message").html("");
        $("#scalapay_live_encyptionkey").delay(300).css("border","1px solid #b9b9b9");
      }
      else {
        $("#scalapay_mode").val(0);
      }
    });
  });
</script>