<?php
class ModelPaymentScalapay extends Model
{
	public function getMethod($address, $total)
	{
		$this->load->language('payment/scalapay');

		$method_data = array();
		//validate other checks
		$status_is_scalapay_available = ModelPaymentScalapay::isAllowedScalapay($total, "checkout", $address);

		if ($status_is_scalapay_available) {

			// Store Taxes to send to Klarna
			// Totals
	        $this->load->model('extension/extension');

	        $total_data = array();
	        $total = 0;
	        $taxes = $this->cart->getTaxes();

	        // Display prices
	        if (($this->config->get('config_customer_price') && $this->customer->isLogged()) || !$this->config->get('config_customer_price')) {
	            $sort_order = array();

	            $results = $this->model_extension_extension->getExtensions('total');

	            foreach ($results as $key => $value) {
	                $sort_order[$key] = $this->config->get($value['code'] . '_sort_order');
	            }

	            array_multisort($sort_order, SORT_ASC, $results);

	            foreach ($results as $result) {
	                if ($this->config->get($result['code'] . '_status')) {
	                    $this->load->model('total/' . $result['code']);

	                    $this->{'model_total_' . $result['code']}->getTotal($total_data, $total, $taxes);
	                }
	            }

	            $sort_order = array();

	            foreach ($total_data as $key => $value) {
	                $sort_order[$key] = $value['sort_order'];
	            }

	            array_multisort($sort_order, SORT_ASC, $total_data);
	        }

			$cart_total = 0;

	        foreach ($total_data as $total) {
	           if ($total["code"] == "total")
						$cart_total = $total["value"];
	        }

			$cart_total = $this->currency->format($cart_total, $this->session->data['currency']);
			$method_data = array();
			$current_price = filter_var($cart_total, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
			$cart_total = str_replace("€", "", $cart_total);
			$cart_total = str_replace(",", ".", $cart_total);
			$total = $cart_total;

			$inst = 0;

			$scalapay_number_of_payments = $this->config->get('scalapay_number_of_payments');

			if ($total > 0){
				$inst = round($total / $scalapay_number_of_payments, 2);
			}
			$scalapay_product_price = number_format($inst, 2, ',', ' ');

			$scalapay_installment_checkout_text = $this->language->get('scapalay_checkout_page_text');
			$scalapay_logo = '<img class="scalapay_logo_checkout_view" src="' . HTTPS_SERVER . 'image/catalog/payment/scalapay/text-logo.jpg" />';

			$scalapay_installment_checkout_text = str_replace(array("[installments]", "[price]", "[logo]"), array($scalapay_number_of_payments, $scalapay_product_price, $scalapay_logo), $scalapay_installment_checkout_text);

			$method_data = array(
				'code' => 'scalapay',
				'title' => $scalapay_installment_checkout_text,
				'terms' => '',
				'sort_order' => $this->config->get('scalapay_sort_order')
			);
		}

		return $method_data;
	}
	function isAllowedScalapay($total, $page, $address = array())
	{
		$is_scalapay_available = true;
		//config_scapalay_allowed_currencies
		$current_currency = $this->session->data['currency'];
		$this->load->model('localisation/currency');
		$all_currency = $this->model_localisation_currency->getCurrencies();
		if (isset($all_currency[$current_currency]["currency_id"]))
			$current_currency_id = $all_currency[$current_currency]["currency_id"];
		$scalapay_currencies = $this->config->get('scalapay_currencies');
		if (isset($scalapay_currencies) && is_array($scalapay_currencies)) {
			if ( !in_array(0, $scalapay_currencies)) {
				if ($current_currency_id != "" && !in_array($current_currency_id, $scalapay_currencies)) {
					$is_scalapay_available = false;
				}
			}
		}
		//config_scapalay_allowed_languages
		$current_lang = $this->session->data['language'];
		$this->load->model('localisation/language');
		$all_language = $this->model_localisation_language->getLanguages();
		if (isset($all_language[$current_lang]["language_id"]))
			$current_language_id = $all_language[$current_lang]["language_id"];
		$scalapay_languages = $this->config->get('scalapay_languages');
		if (isset($scalapay_languages) && is_array($scalapay_languages)) {
			if (!in_array(0, $scalapay_languages)) {
				if ($current_language_id != "" && !in_array($current_language_id, $scalapay_languages)) {
					$is_scalapay_available = false;
				}
			}
		}
		//text_config_scapalay_allowed_countries
		if ($page == "checkout") {
			$country_code = $address["iso_code_2"];
			$current_country_id = 0;
			$countries_filtered_array = array();
			$scalapay_countries = $this->config->get('scalapay_countries');
			$this->load->model('localisation/country');
			$all_countries = $this->model_localisation_country->getCountries();
			foreach ( $all_countries as $country) {
				$countries_filtered_array[$country['iso_code_2']] = $country['country_id'];
			}
			if (isset($countries_filtered_array[$country_code]))
				$current_country_id = $countries_filtered_array[$country_code];
			if (isset($scalapay_countries) && is_array($scalapay_countries)) {
				if ( !in_array(0, $scalapay_countries)) {
					if (isset($current_country_id) && !in_array($current_country_id, $scalapay_countries)) {
						$is_scalapay_available = false;
					}
				}
			}

			if ( $this->config->get('scalapay_notallowed_categories') == '' )
				$payment_scalapay_notallowed_categories = array();
			else
				$payment_scalapay_notallowed_categories = $this->config->get('scalapay_notallowed_categories');
			$getCurrentCartProductCategories = array();

			foreach ($this->cart->getProducts() as $product) {
				foreach ($this->getCurrentProductCategories($product['product_id']) as $cid){
					$getCurrentCartProductCategories[] = $cid;
				}
			}
			foreach ($payment_scalapay_notallowed_categories as $category_id) {
				if(in_array($category_id, $getCurrentCartProductCategories))
					$is_scalapay_available = false;
			}

			$minimum_amount = $this->config->get('scalapay_min_amount');
			$maximum_amount = $this->config->get('scalapay_max_amount');

			if ($total > $maximum_amount || $total < $minimum_amount)
				$is_scalapay_available = false;
		}
		//categories not allowed handle only product page
		if ($page == "product") {
			if ( $this->config->get('scalapay_notallowed_categories') == '' )
				$payment_scalapay_notallowed_categories = array();
			else
				$payment_scalapay_notallowed_categories = $this->config->get('scalapay_notallowed_categories');
			$getCurrentProductCategories = $this->getCurrentProductCategories($this->request->get['product_id']);
			foreach ($payment_scalapay_notallowed_categories as $category_id) {
				if(in_array($category_id, $getCurrentProductCategories))
					$is_scalapay_available = false;
			}
		}

		if ($page == "cart") {
			if ( $this->config->get('scalapay_notallowed_categories') == '' )
				$payment_scalapay_notallowed_categories = array();
			else
				$payment_scalapay_notallowed_categories = $this->config->get('scalapay_notallowed_categories');
			$getCurrentCartProductCategories = array();
			foreach ($this->cart->getProducts() as $product) {
				foreach ($this->getCurrentProductCategories($product['product_id']) as $cid){
					$getCurrentCartProductCategories[] = $cid;
				}
			}
			foreach ($payment_scalapay_notallowed_categories as $category_id) {
				if(in_array($category_id, $getCurrentCartProductCategories))
					$is_scalapay_available = false;
			}
		}
		return $is_scalapay_available;
	}
	function getScalapayConfig()
	{
		$mode = $this->config->get('scalapay_mode');
		if ($mode) {
			$url = $this->config->get('scalapay_production_url') . '/v2/configurations';
			$password = $this->config->get('scalapay_live_encyptionkey');
		} else {
			$url = $this->config->get('scalapay_test_url') . '/v2/configurations';
			$password = $this->config->get('scalapay_encyptionkey');
		}
		$authorization = "Authorization: Bearer " . $password;
		$scalapay_config = array();
		$curl = curl_init();
		curl_setopt_array($curl, array(
			CURLOPT_URL => "$url",
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_ENCODING => "",
			CURLOPT_MAXREDIRS => 10,
			CURLOPT_TIMEOUT => 30,
			CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
			CURLOPT_CUSTOMREQUEST => "GET",
			CURLOPT_HTTPHEADER => array(
				"Accept: application/json",
				"Content-Type: application/json",
				$authorization
			),
		));
		$response = curl_exec($curl);
		$err = curl_error($curl);
		if ($response === false) {
			echo "HTTP Error: ". curl_error($curl);
			$scalapay_config["minimumAmount"] = 0;
			$scalapay_config["maximumAmount"] = 0;
			$scalapay_config["numberOfPayments"] = 1;
			$scalapay_config["promotionUrl"] = '';
			$scalapay_config["locales"] = ["it","fr","en"];
		}
		$responseCode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
		/*
         * 4xx status codes are client errors
         * 5xx status codes are server errors
         */
		curl_close($curl);
		if ($responseCode >= 400) {
			echo "HTTP Error: " . $responseCode;
			$scalapay_config["minimumAmount"] = 0;
			$scalapay_config["maximumAmount"] = 0;
			$scalapay_config["numberOfPayments"] = 1;
			$scalapay_config["promotionUrl"] = '';
			$scalapay_config["locales"] = ["it","fr","en"];
		}
		elseif ($err) {
			echo "cURL Error #:" . $err;
			$scalapay_config["minimumAmount"] = 0;
			$scalapay_config["maximumAmount"] = 0;
			$scalapay_config["numberOfPayments"] = 1;
			$scalapay_config["promotionUrl"] = '';
			$scalapay_config["locales"] = ["it","fr","en"];
		} else {
			$res = json_decode($response, true);
			if (isset($res)) {
				$scalapay_config["minimumAmount"] = $res["minimumAmount"]["amount"];
				$scalapay_config["maximumAmount"] = $res["maximumAmount"]["amount"];
				$scalapay_config["numberOfPayments"] = $res["numberOfPayments"];
				$scalapay_config["promotionUrl"] = $res["promotionUrl"];
				$scalapay_config["locales"] = $res["locales"];
			}
		}
		return $scalapay_config;
	}
	public function getCurrentProductCategories($product_id) {
		$query = $this->db->query("SELECT category_id FROM " . DB_PREFIX . "product_to_category WHERE product_id = '" . (int)$product_id . "'");
		$categories = array();
		foreach( $query->rows as $c )
			$categories[] = $c['category_id'];

		return $categories;
	}

	public function getProductParentCategory ($category_ids = array(), $category_array = []) {

		$parent_category_id_array = array();

		foreach( $category_ids as $key => $value ) {

			$query = $this->db->query("SELECT oc.category_id, oc.parent_id, ocd.name FROM " . DB_PREFIX . "category oc,  " . DB_PREFIX . "category_description ocd WHERE oc.category_id = ocd.category_id AND ocd.category_id = '" . (int)$value . "' GROUP BY oc.category_id, oc.parent_id")->rows;

			if ( sizeof($query) > 0 ) {

				foreach ($query as $row) {

					if ($row['parent_id'] == 0) {
						$category_array[] = $row['name'];
					}
					else {
						$parent_category_id_array[] = $row['parent_id'];
					}

				}
			}

		}

		if ( sizeof($parent_category_id_array) > 0) {
			$category_array = $this->getProductParentCategory($parent_category_id_array, $category_array);
		}


		if (is_array($category_array) && sizeof($category_array) > 0) {
			return implode(", ", $category_array);
		}
		else {
			return $category_array;
		}


	}

	public function getProductSubCategories ($category_ids = array(), $category_array = []) {

		$parent_category_id_array = array();

		foreach( $category_ids as $key => $value ) {

			$query = $this->db->query("SELECT oc.category_id, oc.parent_id, ocd.name FROM " . DB_PREFIX . "category oc,  " . DB_PREFIX . "category_description ocd WHERE oc.category_id = ocd.category_id AND oc.category_id = '" . (int)$value . "' GROUP BY oc.category_id, oc.parent_id")->rows;

			if ( sizeof($query) > 0 ) {

				foreach ($query as $row) {

					if ($row['parent_id'] > 0) {
						$category_array[] = $row['name'];
						$parent_category_id_array[] = $row['parent_id'];
					}

				}
			}

		}

		if ( sizeof($parent_category_id_array) > 0) {
			$category_array = $this->getProductSubCategories($parent_category_id_array, $category_array);
		}

		return $category_array;


	}
}
?>
